%define name            heroes
%define version         0.21
%define release         %mkrel 12
%define dataversion     1.5
%define summary         Game like Nibbles but different

Summary:        %{summary}
Name:           %{name}
Version:        %{version}
Release:        %{release}
Source0:        http://download.sourceforge.net/heroes/%{name}-%{version}.tar.bz2
Source1:        http://download.sourceforge.net/heroes/%{name}-data-%{dataversion}.tar.bz2
Source2:        http://download.sourceforge.net/heroes/%{name}-sound-tracks-1.0.tar.bz2
Source3:        http://download.sourceforge.net/heroes/%{name}-sound-effects-1.0.tar.bz2
Source5:        %{name}-16.png
Source6:        %{name}-32.png
Source7:        %{name}-48.png
Patch0:         %{name}-0.21-debian-fixes.patch.bz2
Patch1:         heroes-0.21-fix-build-gcc4.patch.bz2
License:        GPL
Url:            http://heroes.sourceforge.net/
Group:          Games/Arcade
BuildRequires:  gettext bison SDL-devel SDL_mixer-devel

%description
Heroes is similar to the "Tron" and "Nibbles" games of yore, but includes
many graphical improvements and new game features.  In it, you must
maneuver a small vehicle around a world and collect powerups while avoiding
obstacles, your opponents' trails, and even your own trail. Several modes
of play are available, including "get-all-the-bonuses", deathmatch, and
"squish-the-pedestrians".

Screenshots:
http://heroes.sourceforge.net/screenshots.html

%prep
%setup -q
%setup -q -D -T -a 1
%setup -q -D -T -a 2
%setup -q -D -T -a 3
%patch0 -p1
%patch1 -p1

cat <<EOF > %{name}.menu
?package(%{name}):command="%{_gamesbindir}/%{name}" \
                  icon=%{name}.png \
                  needs="x11" \
                  section="More Applications/Games/Arcade" \
                  title="Heroes"\
                  longtitle="%{summary}" xdg="true"
EOF

cat << EOF > mageia-%{name}.desktop
[Desktop Entry]
Encoding=UTF-8
Name=Heroes
Comment=%{summary}
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;X-MageiaLinux-MoreApplications-Games-Arcade;
EOF

%build
%configure  --bindir=%{_gamesbindir} \
            --datadir=%{_gamesdatadir} \
            --disable-debug \
            --without-ggi --without-gii \
            --with-sdl
%make LDFLAGS="-lm -lpthread"
    (cd %{name}-data-%{dataversion}
     %configure --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}
     %make
    )       
for i in sound-effects sound-tracks; do
    (
    cd %{name}-$i-1.0
    %configure --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}
    %make
    )
done

%install
rm -rf %{buildroot}
%makeinstall bindir=%{buildroot}%{_gamesbindir} datadir=%{buildroot}%{_gamesdatadir}
    (cd %{name}-data-%{dataversion}
     %makeinstall bindir=%{buildroot}%{_gamesbindir} datadir=%{buildroot}%{_gamesdatadir}
    )
for i in sound-effects sound-tracks; do
    (
    cd %{name}-$i-1.0
    %makeinstall bindir=%{buildroot}%{_gamesbindir} datadir=%{buildroot}%{_gamesdatadir}
    )
done

mv %{buildroot}%{_gamesdatadir}/locale/ %{buildroot}%{_datadir}/
%find_lang %{name}

install -D -m644 mageia-%{name}.desktop %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop
install -m644 %SOURCE6 -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %SOURCE5 -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %SOURCE7 -D %{buildroot}%{_liconsdir}/%{name}.png

%files -f %{name}.lang
%doc AUTHORS ChangeLog INSTALL NEWS README THANKS TODO
%{_gamesdatadir}/%{name}
%{_mandir}/man6/%{name}*
%{_gamesbindir}/%{name}*
%{_datadir}/applications/*
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_infodir}/%{name}.info*


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.21-12.mga4
+ Revision: 505456
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.21-11.mga3
+ Revision: 353175
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jun 24 2012 blue_prawn <blue_prawn> 0.21-10.mga3
+ Revision: 263115
- imported package heroes


* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com>
+ Revision: 619358
- the mass rebuild of 2010.0 packages

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org>
+ Revision: 429391
- rebuild

* Thu Jun 12 2008 Pascal Rigaux <pixel@mandriva.com>
+ Revision: 218432
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org>
+ Revision: 148214
- drop old menu

* Wed Jan 02 2008 Olivier Blin <blino@mandriva.org>
+ Revision: 140747
- restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org>
+ Revision: 126658
- kill re-definition of %%buildroot on Pixel's request

* Mon Nov 26 2007 Thierry Vignaud <tv@mandriva.org>
+ Revision: 112840
- import heroes
